# Interface RendererPolygonEntry

Entry definition for polygon renderer arrays.

interface RendererPolygonEntry {
symbol: {
color: number[];
outline: {
color: number[];
width: number;
};
style: "solid";
type: "simple-fill";
};
value: string;
}

#####
Index

### Properties

symbol
value

##
Properties

### symbol

symbol: {
color: number[];
outline: {
color: number[];
width: number;
};
style: "solid";
type: "simple-fill";
}

Symbol definition for the polygon.

#### Type declaration

- ##### color: number[]

  Fill color as RGBA array.

- ##### outline: {
  color: number[];
  width: number;
  }

  Outline properties for the polygon.

  - ##### color: number[]

    Outline color as RGBA array.

  - ##### width: number

    Outline width in pixels or map units.

- ##### style: "solid"

  Fill style (always "solid" here).

- ##### type: "simple-fill"

  Symbol type (always "simple-fill").

### value

value: string

Renderer classification value (e.g., layer name).